import React from 'react'
import Bottom from './../Bottom/index'
import './index.css'
import {Outlet, useLocation} from 'react-router-dom'
import DetailSearchBar from "../../components/DetailSearchBar";


const Home = () => {

    const location = useLocation();
    console.log("Home", location);
    const searchUrl = location?.state?.search;
    const [pName, setName] = React.useState("");
    const [search, setSearch] = React.useState({
        "pageSize": 12,
        "pageNumber": 1,
        "data": searchUrl ? JSON.parse(searchUrl) : [
            {"name": "state", "value": "8,9", "operateType": "IN"},
            {"name": "expectedStartTime", "value": "2024-12-29T16:00:00.000Z", "operateType": ">="},
            {"name": "expectedStartTime", "value": "2024-12-29T16:00:00.000Z", "operateType": "<="}
        ]
    })
    const updateSearch = (values) => {
        this.setState({search: values});
    };
    return (
        <div className='body'>
            <DetailSearchBar search={search}
                             updateSearch={updateSearch}
                             pName={pName}/>
            <div style={{marginTop: "40px", marginBottom: "49px", width: "100%"}}>
                <Outlet/>
            </div>
            <Bottom/>
        </div>
    )
}

export default Home;